curl --request POST \
--url https://platform.versori.com/api/v2/o/{organisation_id}/systems/{system_id}/oauth1/initialise \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"credential": {
"id": "<string>",
"organisationId": "<string>"
}
}
'{
"url": "<string>"
}InitialiseOAuth1Connection returns a URL to redirect the user to an OAuth 1.0 Provider’s Authorize endpoint.
curl --request POST \
--url https://platform.versori.com/api/v2/o/{organisation_id}/systems/{system_id}/oauth1/initialise \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"credential": {
"id": "<string>",
"organisationId": "<string>"
}
}
'{
"url": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://docs.versori.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer token authentication used by the Versori Platform. External consumers must provide an API key, however internal consumers must provide a JWT id_token issued by our IdP.
InitialiseOAuth1ConnectionRequest is the payload to initialise an OAuth 1.0 connection.
Show child attributes
OK
The URL to redirect the user to.